import 'package:fis_lib_report/report/inputText.dart';
import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/interfaces/inputText.dart';
import 'package:fis_lib_report/report/text_element.dart';
import 'package:fis_lib_report/report_info/text_element_info.dart';

class InputTextInfo extends TextElementInfo {
  bool? isReadOnly;
  bool? isListening;

  String? text;

  InputTextInfo.fromElement(InputText element) : super.fromElement(element) {
    isReadOnly = element.isReadOnly;
    isListening = false;
    text = '';
  }

  @override
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map.addAll(super.toJson());
    map['IsReadOnly'] = isReadOnly;
    return map;
  }
}
